<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MDrawTextItem Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MDrawTextItem Struct Reference</h1><!-- doxytag: class="MDrawTextItem" -->
<p>Type of textitems.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html#a99bb9d74728abc2a3cb334170fcf4896">mt</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html#adef67744800c990f6abacdcad94d06a1">delta</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html#a96752fa7f14cf4c8444fd9eee08134b5">face</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMDrawControl.html">MDrawControl</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html#a1c573aa0f18841e2c98417b6e08e7089">control</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Type of textitems. </p>
<p>The type <a class="el" href="structMDrawTextItem.html" title="Type of textitems.">MDrawTextItem</a> is for <em>textitem</em> objects. Each textitem contains an M-text and some other information to control the drawing of the M-text. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a99bb9d74728abc2a3cb334170fcf4896"></a><!-- doxytag: member="MDrawTextItem::mt" ref="a99bb9d74728abc2a3cb334170fcf4896" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* <a class="el" href="structMDrawTextItem.html#a99bb9d74728abc2a3cb334170fcf4896">MDrawTextItem::mt</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>M-text. </p>

</div>
</div>
<a class="anchor" id="adef67744800c990f6abacdcad94d06a1"></a><!-- doxytag: member="MDrawTextItem::delta" ref="adef67744800c990f6abacdcad94d06a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawTextItem.html#adef67744800c990f6abacdcad94d06a1">MDrawTextItem::delta</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Optional change in the position (in the unit of pixel) along the X-axis before the M-text is drawn. </p>

</div>
</div>
<a class="anchor" id="a96752fa7f14cf4c8444fd9eee08134b5"></a><!-- doxytag: member="MDrawTextItem::face" ref="a96752fa7f14cf4c8444fd9eee08134b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="structMDrawTextItem.html#a96752fa7f14cf4c8444fd9eee08134b5">MDrawTextItem::face</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Pointer to a face object. Each property of the face, if not Mnil, overrides the same property of face(s) specified as a text property in &lt;mt&gt;. </p>

</div>
</div>
<a class="anchor" id="a1c573aa0f18841e2c98417b6e08e7089"></a><!-- doxytag: member="MDrawTextItem::control" ref="a1c573aa0f18841e2c98417b6e08e7089" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMDrawControl.html">MDrawControl</a>* <a class="el" href="structMDrawTextItem.html#a1c573aa0f18841e2c98417b6e08e7089">MDrawTextItem::control</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Pointer to a draw control object. The M-text &lt;mt&gt; is drawn by <a class="el" href="group__m17nDraw.html#ga43ad1fe4a4a8db80a46450dfa250777a" title="Draw an M-text on a window with fine control.">mdraw_text_with_control()</a> with this control object. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
